User account creation filtered due to spam.

Bug 7531 - -mcmodel not documented for x86-64
Summary: -mcmodel not documented for x86-64
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.1.1
: P3 normal
Target Milestone: ---
Assignee: Andreas Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-07 14:46 UTC by David O'Brien
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Brien 2002-08-07 14:46:00 UTC
I cannot find any mention of -mcmodel options in the x86-64 specific options section of teh manual (http://gcc.gnu.org/onlinedocs/gcc-3.1.1/gcc/i386-and-x86-64-Options.html#i386%20and%20x86-64%20Options).  Compare with the handling for Sparc64 (http://gcc.gnu.org/onlinedocs/gcc-3.1.1/gcc/i386-and-x86-64-Options.html#i386%20and%20x86-64%20Options).

Note that x86-64 Linux kernel modules must be compiled with -mcmodel=kernel, so that is at least one of the values that needs to be documented.

Release:
3.1.1

Environment:
N/A
Comment 1 Andreas Jaeger 2002-08-08 00:46:49 UTC
Responsible-Changed-From-To: unassigned->aj
Responsible-Changed-Why: Working on a fix.
Comment 2 Andreas Jaeger 2002-08-11 02:48:34 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed on mainline, queued for GCC 3.2.1.
Comment 3 Andreas Jaeger 2002-08-11 09:47:48 UTC
From: aj@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/7531
Date: 11 Aug 2002 09:47:48 -0000

 CVSROOT:	/cvs/gcc
 Module name:	egcs
 Changes by:	aj@gcc.gnu.org	2002-08-11 02:47:48
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/doc        : invoke.texi 
 
 Log message:
 	PR target/7531:
 	* doc/invoke.texi (i386 and x86-64 Options): Document -mcmodel.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.15140&r2=1.15141
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/doc/invoke.texi.diff?cvsroot=gcc&r1=1.169&r2=1.170
 

Comment 4 Andreas Jaeger 2002-08-20 07:04:50 UTC
From: aj@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/7531
Date: 20 Aug 2002 07:04:50 -0000

 CVSROOT:	/cvs/gcc
 Module name:	egcs
 Branch: 	gcc-3_2-branch
 Changes by:	aj@gcc.gnu.org	2002-08-20 00:04:50
 
 Modified files:
 	gcc/doc        : invoke.texi 
 	gcc            : ChangeLog 
 
 Log message:
 	PR target/7531:
 	* doc/invoke.texi (i386 and x86-64 Options): Document -mcmodel.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.119.2.12&r2=1.119.2.12.4.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.16&r2=1.13152.2.657.2.17